Subject: moving in a portal

From: Guy Dupont <[email-masked]>
Date: Thu, 18 Aug 1994 16:09:24 -0400 (EDT)

I have some problems with the command fetch. 

I want to count the number of instance in my portal.  

So I make a first fetch to go to the last instances and get the number 
of instance.  But if I fetch backward to return to the beginning of the 
portal, i get nothing and all other fetch in one or the other direction 
will return nothing.  I join an example of it.

It seems to me that there is a problem when an extremite of the portal 
is get.

Can somebody has experienced a similar problem ?

Thank Guy,

Here is the example:

Welcome to the POSTGRES terminal monitor

Go 
* 
Query sent to backend is "begin "
BEGIN
Go 
* 
Query sent to backend is "retrieve portal myportal (pg_user.usename) "
RETRIEVE
Go 
* 
Query sent to backend is "fetch all in myportal "
---------------
| usename     |
---------------
| postgres    |
---------------
| nouveau     |
---------------
| pfeadm      |
---------------
| dupont      |
---------------

Go 

--> It's ok until now but:

* 
Query sent to backend is "fetch backward all in myportal "
---------------
| usename     |
---------------

--> I get nothing evan when I want to return to the begining.
Go 
* 
Query sent to backend is "fetch all in myportal "
---------------
| usename     |
---------------

--> still nothing
Go 
* 
Query sent to backend is "fetch backward all in myportal "
---------------
| usename     |
---------------

Go 
* 
Query sent to backend is "end "
END
Go 
* 

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================